app.controller("linhaAlteracaoController", function ($scope) {
   
    $scope.calculaTaxaAmort = function (item) {

        if (item == null)
            return 0;
        if (item.TaxaAmortisacao > 100)
            item.TaxaAmortisacao = 100;

        if (item.VidaUtil == 0)
            item.TaxaAmortisacao = 0;
        else
            item.TaxaAmortisacao = 100 / item.VidaUtil;

        item.TaxaAmortisacao = item.TaxaAmortisacao.toFixed(2);
    }
});